/*!
  * Bootstrap v4.4.1 (https://getbootstrap.com/)
  * Copyright 2011-2019 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
  */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?e(exports,require("jquery"),require("popper.js")):"function"==typeof define&&define.amd?define(["exports","jquery","popper.js"],e):e((t=t||self).bootstrap={},t.jQuery,t.Popper)}(this,function(t,e,n){"use strict";e=e&&e.hasOwnProperty("default")?e.default:e,n=n&&n.hasOwnProperty("default")?n.default:n;
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): util.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Private TransitionEnd Helpers
   * ------------------------------------------------------------------------
   */
var i="transitionend";function o(t){var n=this,i=!1;return e(this).one(s.TRANSITION_END,function(){i=!0}),setTimeout(function(){i||s.triggerTransitionEnd(n)},t),this}
/**
   * --------------------------------------------------------------------------
   * Public Util Api
   * --------------------------------------------------------------------------
   */
var s={TRANSITION_END:"bsTransitionEnd",getUID:function(t){do{
// eslint-disable-next-line no-bitwise
t+=~~(1e6*Math.random());// "~~" acts like a faster Math.floor() here
}while(document.getElementById(t));return t},getSelectorFromElement:function(t){var e=t.getAttribute("data-target");if(!e||"#"===e){var n=t.getAttribute("href");e=n&&"#"!==n?n.trim():""}try{return document.querySelector(e)?e:null}catch(t){return null}},getTransitionDurationFromElement:function(t){if(!t)return 0;
// Get transition-duration of the element
var n=e(t).css("transition-duration"),i=e(t).css("transition-delay"),o=parseFloat(n),s=parseFloat(i);
// Return 0 if element or transition duration is not found
return o||s?(
// If multiple durations are defined, take the first
n=n.split(",")[0],i=i.split(",")[0],1e3*(parseFloat(n)+parseFloat(i))):0},reflow:function(t){return t.offsetHeight},triggerTransitionEnd:function(t){e(t).trigger(i)},
// TODO: Remove in v5
supportsTransitionEnd:function(){return Boolean(i)},isElement:function(t){return(t[0]||t).nodeType},typeCheckConfig:function(t,e,n){for(var i in n)if(Object.prototype.hasOwnProperty.call(n,i)){var o=n[i],r=e[i],a=r&&s.isElement(r)?"element":(l=r,{}.toString.call(l).match(/\s([a-z]+)/i)[1].toLowerCase());if(!new RegExp(o).test(a))throw new Error(t.toUpperCase()+': Option "'+i+'" provided type "'+a+'" but expected type "'+o+'".')}
// Shoutout AngusCroll (https://goo.gl/pxwQGp)
var l},findShadowRoot:function(t){if(!document.documentElement.attachShadow)return null;
// Can find the shadow root otherwise it'll return the document
if("function"==typeof t.getRootNode){var e=t.getRootNode();return e instanceof ShadowRoot?e:null}return t instanceof ShadowRoot?t:
// when we don't find a shadow root
t.parentNode?s.findShadowRoot(t.parentNode):null},jQueryDetection:function(){if(void 0===e)throw new TypeError("Bootstrap's JavaScript requires jQuery. jQuery must be included before Bootstrap's JavaScript.");var t=e.fn.jquery.split(" ")[0].split(".");if(t[0]<2&&t[1]<9||1===t[0]&&9===t[1]&&t[2]<1||t[0]>=4)throw new Error("Bootstrap's JavaScript requires at least jQuery v1.9.1 but less than v4.0.0")}};s.jQueryDetection(),e.fn.emulateTransitionEnd=o,e.event.special[s.TRANSITION_END]={bindType:i,delegateType:i,handle:function(t){if(e(t.target).is(this))return t.handleObj.handler.apply(this,arguments);// eslint-disable-line prefer-rest-params
}};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): alert.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var r=e.fn.alert,a={CLOSE:"close.bs.alert",CLOSED:"closed.bs.alert",CLICK_DATA_API:"click.bs.alert.data-api"},l="alert",c="fade",h="show",u=function(t){this._element=t},f={VERSION:{configurable:!0}};
// Getters
f.VERSION.get=function(){return"4.4.1"},
// Public
u.prototype.close=function(t){var e=this._element;t&&(e=this._getRootElement(t)),this._triggerCloseEvent(e).isDefaultPrevented()||this._removeElement(e)},u.prototype.dispose=function(){e.removeData(this._element,"bs.alert"),this._element=null},
// Private
u.prototype._getRootElement=function(t){var n=s.getSelectorFromElement(t),i=!1;return n&&(i=document.querySelector(n)),i||(i=e(t).closest("."+l)[0]),i},u.prototype._triggerCloseEvent=function(t){var n=e.Event(a.CLOSE);return e(t).trigger(n),n},u.prototype._removeElement=function(t){var n=this;if(e(t).removeClass(h),e(t).hasClass(c)){var i=s.getTransitionDurationFromElement(t);e(t).one(s.TRANSITION_END,function(e){return n._destroyElement(t,e)}).emulateTransitionEnd(i)}else this._destroyElement(t)},u.prototype._destroyElement=function(t){e(t).detach().trigger(a.CLOSED).remove()},
// Static
u._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.alert");i||(i=new u(this),n.data("bs.alert",i)),"close"===t&&i[t](this)})},u._handleDismiss=function(t){return function(e){e&&e.preventDefault(),t.close(this)}},Object.defineProperties(u,f),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(a.CLICK_DATA_API,'[data-dismiss="alert"]',u._handleDismiss(new u)),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.alert=u._jQueryInterface,e.fn.alert.Constructor=u,e.fn.alert.noConflict=function(){return e.fn.alert=r,u._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): button.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var d=e.fn.button,p="active",g="btn",_="focus",m='[data-toggle^="button"]',v='[data-toggle="buttons"]',b='[data-toggle="button"]',y='[data-toggle="buttons"] .btn',E='input:not([type="hidden"])',C=".active",T=".btn",S={CLICK_DATA_API:"click.bs.button.data-api",FOCUS_BLUR_DATA_API:"focus.bs.button.data-api blur.bs.button.data-api",LOAD_DATA_API:"load.bs.button.data-api"},D=function(t){this._element=t},I={VERSION:{configurable:!0}};
// Getters
I.VERSION.get=function(){return"4.4.1"},
// Public
D.prototype.toggle=function(){var t=!0,n=!0,i=e(this._element).closest(v)[0];if(i){var o=this._element.querySelector(E);if(o){if("radio"===o.type)if(o.checked&&this._element.classList.contains(p))t=!1;else{var s=i.querySelector(C);s&&e(s).removeClass(p)}else"checkbox"===o.type?"LABEL"===this._element.tagName&&o.checked===this._element.classList.contains(p)&&(t=!1):
// if it's not a radio button or checkbox don't add a pointless/invalid checked property to the input
t=!1;t&&(o.checked=!this._element.classList.contains(p),e(o).trigger("change")),o.focus(),n=!1}}this._element.hasAttribute("disabled")||this._element.classList.contains("disabled")||(n&&this._element.setAttribute("aria-pressed",!this._element.classList.contains(p)),t&&e(this._element).toggleClass(p))},D.prototype.dispose=function(){e.removeData(this._element,"bs.button"),this._element=null},
// Static
D._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.button");n||(n=new D(this),e(this).data("bs.button",n)),"toggle"===t&&n[t]()})},Object.defineProperties(D,I),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(S.CLICK_DATA_API,m,function(t){var n=t.target;if(e(n).hasClass(g)||(n=e(n).closest(T)[0]),!n||n.hasAttribute("disabled")||n.classList.contains("disabled"))t.preventDefault();// work around Firefox bug #1540995
else{var i=n.querySelector(E);if(i&&(i.hasAttribute("disabled")||i.classList.contains("disabled")))// work around Firefox bug #1540995
return void t.preventDefault();D._jQueryInterface.call(e(n),"toggle")}}).on(S.FOCUS_BLUR_DATA_API,m,function(t){var n=e(t.target).closest(T)[0];e(n).toggleClass(_,/^focus(in)?$/.test(t.type))}),e(window).on(S.LOAD_DATA_API,function(){for(
// ensure correct active class is set to match the controls' actual values/states
// find all checkboxes/readio buttons inside data-toggle groups
var t=[].slice.call(document.querySelectorAll(y)),e=0,n=t.length;e<n;e++){var i=t[e],o=i.querySelector(E);o.checked||o.hasAttribute("checked")?i.classList.add(p):i.classList.remove(p)}
// find all button toggles
for(var s=0,r=(t=[].slice.call(document.querySelectorAll(b))).length;s<r;s++){var a=t[s];"true"===a.getAttribute("aria-pressed")?a.classList.add(p):a.classList.remove(p)}}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.button=D._jQueryInterface,e.fn.button.Constructor=D,e.fn.button.noConflict=function(){return e.fn.button=d,D._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): carousel.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var w="carousel",A=".bs.carousel",N=e.fn[w],O={interval:5e3,keyboard:!0,slide:!1,pause:"hover",wrap:!0,touch:!0},j={interval:"(number|boolean)",keyboard:"boolean",slide:"(boolean|string)",pause:"(string|boolean)",wrap:"boolean",touch:"boolean"},P="next",L="prev",k="left",R="right",H={SLIDE:"slide.bs.carousel",SLID:"slid.bs.carousel",KEYDOWN:"keydown.bs.carousel",MOUSEENTER:"mouseenter.bs.carousel",MOUSELEAVE:"mouseleave.bs.carousel",TOUCHSTART:"touchstart.bs.carousel",TOUCHMOVE:"touchmove.bs.carousel",TOUCHEND:"touchend.bs.carousel",POINTERDOWN:"pointerdown.bs.carousel",POINTERUP:"pointerup.bs.carousel",DRAG_START:"dragstart.bs.carousel",LOAD_DATA_API:"load.bs.carousel.data-api",CLICK_DATA_API:"click.bs.carousel.data-api"},x="carousel",F="active",U="slide",W="carousel-item-right",q="carousel-item-left",M="carousel-item-next",K="carousel-item-prev",Q="pointer-event",B=".active",V=".active.carousel-item",Y=".carousel-item",z=".carousel-item img",X=".carousel-item-next, .carousel-item-prev",$=".carousel-indicators",G="[data-slide], [data-slide-to]",J='[data-ride="carousel"]',Z={TOUCH:"touch",PEN:"pen"},tt=function(t,e){this._items=null,this._interval=null,this._activeElement=null,this._isPaused=!1,this._isSliding=!1,this.touchTimeout=null,this.touchStartX=0,this.touchDeltaX=0,this._config=this._getConfig(e),this._element=t,this._indicatorsElement=this._element.querySelector($),this._touchSupported="ontouchstart"in document.documentElement||navigator.maxTouchPoints>0,this._pointerEvent=Boolean(window.PointerEvent||window.MSPointerEvent),this._addEventListeners()},et={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
et.VERSION.get=function(){return"4.4.1"},et.Default.get=function(){return O},
// Public
tt.prototype.next=function(){this._isSliding||this._slide(P)},tt.prototype.nextWhenVisible=function(){
// Don't call next when the page isn't visible
// or the carousel or its parent isn't visible
!document.hidden&&e(this._element).is(":visible")&&"hidden"!==e(this._element).css("visibility")&&this.next()},tt.prototype.prev=function(){this._isSliding||this._slide(L)},tt.prototype.pause=function(t){t||(this._isPaused=!0),this._element.querySelector(X)&&(s.triggerTransitionEnd(this._element),this.cycle(!0)),clearInterval(this._interval),this._interval=null},tt.prototype.cycle=function(t){t||(this._isPaused=!1),this._interval&&(clearInterval(this._interval),this._interval=null),this._config.interval&&!this._isPaused&&(this._interval=setInterval((document.visibilityState?this.nextWhenVisible:this.next).bind(this),this._config.interval))},tt.prototype.to=function(t){var n=this;this._activeElement=this._element.querySelector(V);var i=this._getItemIndex(this._activeElement);if(!(t>this._items.length-1||t<0))if(this._isSliding)e(this._element).one(H.SLID,function(){return n.to(t)});else{if(i===t)return this.pause(),void this.cycle();var o=t>i?P:L;this._slide(o,this._items[t])}},tt.prototype.dispose=function(){e(this._element).off(A),e.removeData(this._element,"bs.carousel"),this._items=null,this._config=null,this._element=null,this._interval=null,this._isPaused=null,this._isSliding=null,this._activeElement=null,this._indicatorsElement=null},
// Private
tt.prototype._getConfig=function(t){return t=Object.assign({},O,t),s.typeCheckConfig(w,t,j),t},tt.prototype._handleSwipe=function(){var t=Math.abs(this.touchDeltaX);if(!(t<=40)){var e=t/this.touchDeltaX;this.touchDeltaX=0,
// swipe left
e>0&&this.prev(),
// swipe right
e<0&&this.next()}},tt.prototype._addEventListeners=function(){var t=this;this._config.keyboard&&e(this._element).on(H.KEYDOWN,function(e){return t._keydown(e)}),"hover"===this._config.pause&&e(this._element).on(H.MOUSEENTER,function(e){return t.pause(e)}).on(H.MOUSELEAVE,function(e){return t.cycle(e)}),this._config.touch&&this._addTouchEventListeners()},tt.prototype._addTouchEventListeners=function(){var t=this;if(this._touchSupported){var n=function(e){t._pointerEvent&&Z[e.originalEvent.pointerType.toUpperCase()]?t.touchStartX=e.originalEvent.clientX:t._pointerEvent||(t.touchStartX=e.originalEvent.touches[0].clientX)},i=function(e){t._pointerEvent&&Z[e.originalEvent.pointerType.toUpperCase()]&&(t.touchDeltaX=e.originalEvent.clientX-t.touchStartX),t._handleSwipe(),"hover"===t._config.pause&&(
// If it's a touch-enabled device, mouseenter/leave are fired as
// part of the mouse compatibility events on first tap - the carousel
// would stop cycling until user tapped out of it;
// here, we listen for touchend, explicitly pause the carousel
// (as if it's the second time we tap on it, mouseenter compat event
// is NOT fired) and after a timeout (to allow for mouse compatibility
// events to fire) we explicitly restart cycling
t.pause(),t.touchTimeout&&clearTimeout(t.touchTimeout),t.touchTimeout=setTimeout(function(e){return t.cycle(e)},500+t._config.interval))};e(this._element.querySelectorAll(z)).on(H.DRAG_START,function(t){return t.preventDefault()}),this._pointerEvent?(e(this._element).on(H.POINTERDOWN,function(t){return n(t)}),e(this._element).on(H.POINTERUP,function(t){return i(t)}),this._element.classList.add(Q)):(e(this._element).on(H.TOUCHSTART,function(t){return n(t)}),e(this._element).on(H.TOUCHMOVE,function(e){return function(e){
// ensure swiping with one touch and not pinching
e.originalEvent.touches&&e.originalEvent.touches.length>1?t.touchDeltaX=0:t.touchDeltaX=e.originalEvent.touches[0].clientX-t.touchStartX}(e)}),e(this._element).on(H.TOUCHEND,function(t){return i(t)}))}},tt.prototype._keydown=function(t){if(!/input|textarea/i.test(t.target.tagName))switch(t.which){case 37:t.preventDefault(),this.prev();break;case 39:t.preventDefault(),this.next()}},tt.prototype._getItemIndex=function(t){return this._items=t&&t.parentNode?[].slice.call(t.parentNode.querySelectorAll(Y)):[],this._items.indexOf(t)},tt.prototype._getItemByDirection=function(t,e){var n=t===P,i=t===L,o=this._getItemIndex(e),s=this._items.length-1;if((i&&0===o||n&&o===s)&&!this._config.wrap)return e;var r=(o+(t===L?-1:1))%this._items.length;return-1===r?this._items[this._items.length-1]:this._items[r]},tt.prototype._triggerSlideEvent=function(t,n){var i=this._getItemIndex(t),o=this._getItemIndex(this._element.querySelector(V)),s=e.Event(H.SLIDE,{relatedTarget:t,direction:n,from:o,to:i});return e(this._element).trigger(s),s},tt.prototype._setActiveIndicatorElement=function(t){if(this._indicatorsElement){var n=[].slice.call(this._indicatorsElement.querySelectorAll(B));e(n).removeClass(F);var i=this._indicatorsElement.children[this._getItemIndex(t)];i&&e(i).addClass(F)}},tt.prototype._slide=function(t,n){var i,o,r,a=this,l=this._element.querySelector(V),c=this._getItemIndex(l),h=n||l&&this._getItemByDirection(t,l),u=this._getItemIndex(h),f=Boolean(this._interval);if(t===P?(i=q,o=M,r=k):(i=W,o=K,r=R),h&&e(h).hasClass(F))this._isSliding=!1;else if(!this._triggerSlideEvent(h,r).isDefaultPrevented()&&l&&h){this._isSliding=!0,f&&this.pause(),this._setActiveIndicatorElement(h);var d=e.Event(H.SLID,{relatedTarget:h,direction:r,from:c,to:u});if(e(this._element).hasClass(U)){e(h).addClass(o),s.reflow(h),e(l).addClass(i),e(h).addClass(i);var p=parseInt(h.getAttribute("data-interval"),10);p?(this._config.defaultInterval=this._config.defaultInterval||this._config.interval,this._config.interval=p):this._config.interval=this._config.defaultInterval||this._config.interval;var g=s.getTransitionDurationFromElement(l);e(l).one(s.TRANSITION_END,function(){e(h).removeClass(i+" "+o).addClass(F),e(l).removeClass(F+" "+o+" "+i),a._isSliding=!1,setTimeout(function(){return e(a._element).trigger(d)},0)}).emulateTransitionEnd(g)}else e(l).removeClass(F),e(h).addClass(F),this._isSliding=!1,e(this._element).trigger(d);f&&this.cycle()}},
// Static
tt._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.carousel"),i=Object.assign({},O,e(this).data());"object"==typeof t&&(i=Object.assign({},i,t));var o="string"==typeof t?t:i.slide;if(n||(n=new tt(this,i),e(this).data("bs.carousel",n)),"number"==typeof t)n.to(t);else if("string"==typeof o){if(void 0===n[o])throw new TypeError('No method named "'+o+'"');n[o]()}else i.interval&&i.ride&&(n.pause(),n.cycle())})},tt._dataApiClickHandler=function(t){var n=s.getSelectorFromElement(this);if(n){var i=e(n)[0];if(i&&e(i).hasClass(x)){var o=Object.assign({},e(i).data(),e(this).data()),r=this.getAttribute("data-slide-to");r&&(o.interval=!1),tt._jQueryInterface.call(e(i),o),r&&e(i).data("bs.carousel").to(r),t.preventDefault()}}},Object.defineProperties(tt,et),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(H.CLICK_DATA_API,G,tt._dataApiClickHandler),e(window).on(H.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll(J)),n=0,i=t.length;n<i;n++){var o=e(t[n]);tt._jQueryInterface.call(o,o.data())}}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn[w]=tt._jQueryInterface,e.fn[w].Constructor=tt,e.fn[w].noConflict=function(){return e.fn[w]=N,tt._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): collapse.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var nt="collapse",it=e.fn[nt],ot={toggle:!0,parent:""},st={toggle:"boolean",parent:"(string|element)"},rt={SHOW:"show.bs.collapse",SHOWN:"shown.bs.collapse",HIDE:"hide.bs.collapse",HIDDEN:"hidden.bs.collapse",CLICK_DATA_API:"click.bs.collapse.data-api"},at="show",lt="collapse",ct="collapsing",ht="collapsed",ut="width",ft="height",dt=".show, .collapsing",pt='[data-toggle="collapse"]',gt=function(t,e){this._isTransitioning=!1,this._element=t,this._config=this._getConfig(e),this._triggerArray=[].slice.call(document.querySelectorAll('[data-toggle="collapse"][href="#'+t.id+'"],[data-toggle="collapse"][data-target="#'+t.id+'"]'));for(var n=[].slice.call(document.querySelectorAll(pt)),i=0,o=n.length;i<o;i++){var r=n[i],a=s.getSelectorFromElement(r),l=[].slice.call(document.querySelectorAll(a)).filter(function(e){return e===t});null!==a&&l.length>0&&(this._selector=a,this._triggerArray.push(r))}this._parent=this._config.parent?this._getParent():null,this._config.parent||this._addAriaAndCollapsedClass(this._element,this._triggerArray),this._config.toggle&&this.toggle()},_t={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
_t.VERSION.get=function(){return"4.4.1"},_t.Default.get=function(){return ot},
// Public
gt.prototype.toggle=function(){e(this._element).hasClass(at)?this.hide():this.show()},gt.prototype.show=function(){var t,n,i=this;if(!this._isTransitioning&&!e(this._element).hasClass(at)&&(this._parent&&0===(t=[].slice.call(this._parent.querySelectorAll(dt)).filter(function(t){return"string"==typeof i._config.parent?t.getAttribute("data-parent")===i._config.parent:t.classList.contains(lt)})).length&&(t=null),!(t&&(n=e(t).not(this._selector).data("bs.collapse"))&&n._isTransitioning))){var o=e.Event(rt.SHOW);if(e(this._element).trigger(o),!o.isDefaultPrevented()){t&&(gt._jQueryInterface.call(e(t).not(this._selector),"hide"),n||e(t).data("bs.collapse",null));var r=this._getDimension();e(this._element).removeClass(lt).addClass(ct),this._element.style[r]=0,this._triggerArray.length&&e(this._triggerArray).removeClass(ht).attr("aria-expanded",!0),this.setTransitioning(!0);var a="scroll"+(r[0].toUpperCase()+r.slice(1)),l=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(){e(i._element).removeClass(ct).addClass(lt).addClass(at),i._element.style[r]="",i.setTransitioning(!1),e(i._element).trigger(rt.SHOWN)}).emulateTransitionEnd(l),this._element.style[r]=this._element[a]+"px"}}},gt.prototype.hide=function(){var t=this;if(!this._isTransitioning&&e(this._element).hasClass(at)){var n=e.Event(rt.HIDE);if(e(this._element).trigger(n),!n.isDefaultPrevented()){var i=this._getDimension();this._element.style[i]=this._element.getBoundingClientRect()[i]+"px",s.reflow(this._element),e(this._element).addClass(ct).removeClass(lt).removeClass(at);var o=this._triggerArray.length;if(o>0)for(var r=0;r<o;r++){var a=t._triggerArray[r],l=s.getSelectorFromElement(a);if(null!==l)e([].slice.call(document.querySelectorAll(l))).hasClass(at)||e(a).addClass(ht).attr("aria-expanded",!1)}this.setTransitioning(!0);this._element.style[i]="";var c=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(){t.setTransitioning(!1),e(t._element).removeClass(ct).addClass(lt).trigger(rt.HIDDEN)}).emulateTransitionEnd(c)}}},gt.prototype.setTransitioning=function(t){this._isTransitioning=t},gt.prototype.dispose=function(){e.removeData(this._element,"bs.collapse"),this._config=null,this._parent=null,this._element=null,this._triggerArray=null,this._isTransitioning=null},
// Private
gt.prototype._getConfig=function(t){return(t=Object.assign({},ot,t)).toggle=Boolean(t.toggle),// Coerce string values
s.typeCheckConfig(nt,t,st),t},gt.prototype._getDimension=function(){return e(this._element).hasClass(ut)?ut:ft},gt.prototype._getParent=function(){var t,n=this;s.isElement(this._config.parent)?(t=this._config.parent,
// It's a jQuery object
void 0!==this._config.parent.jquery&&(t=this._config.parent[0])):t=document.querySelector(this._config.parent);var i='[data-toggle="collapse"][data-parent="'+this._config.parent+'"]',o=[].slice.call(t.querySelectorAll(i));return e(o).each(function(t,e){n._addAriaAndCollapsedClass(gt._getTargetFromElement(e),[e])}),t},gt.prototype._addAriaAndCollapsedClass=function(t,n){var i=e(t).hasClass(at);n.length&&e(n).toggleClass(ht,!i).attr("aria-expanded",i)},
// Static
gt._getTargetFromElement=function(t){var e=s.getSelectorFromElement(t);return e?document.querySelector(e):null},gt._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.collapse"),o=Object.assign({},ot,n.data(),"object"==typeof t&&t?t:{});if(!i&&o.toggle&&/show|hide/.test(t)&&(o.toggle=!1),i||(i=new gt(this,o),n.data("bs.collapse",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(gt,_t),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(rt.CLICK_DATA_API,pt,function(t){
// preventDefault only for <a> elements (which change the URL) not inside the collapsible element
"A"===t.currentTarget.tagName&&t.preventDefault();var n=e(this),i=s.getSelectorFromElement(this),o=[].slice.call(document.querySelectorAll(i));e(o).each(function(){var t=e(this),i=t.data("bs.collapse")?"toggle":n.data();gt._jQueryInterface.call(t,i)})}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn[nt]=gt._jQueryInterface,e.fn[nt].Constructor=gt,e.fn[nt].noConflict=function(){return e.fn[nt]=it,gt._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): dropdown.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var mt="dropdown",vt=e.fn[mt],bt=new RegExp("38|40|27"),yt={HIDE:"hide.bs.dropdown",HIDDEN:"hidden.bs.dropdown",SHOW:"show.bs.dropdown",SHOWN:"shown.bs.dropdown",CLICK:"click.bs.dropdown",CLICK_DATA_API:"click.bs.dropdown.data-api",KEYDOWN_DATA_API:"keydown.bs.dropdown.data-api",KEYUP_DATA_API:"keyup.bs.dropdown.data-api"},Et="disabled",Ct="show",Tt="dropup",St="dropright",Dt="dropleft",It="dropdown-menu-right",wt="position-static",At='[data-toggle="dropdown"]',Nt=".dropdown form",Ot=".dropdown-menu",jt=".navbar-nav",Pt=".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)",Lt="top-start",kt="top-end",Rt="bottom-start",Ht="bottom-end",xt="right-start",Ft="left-start",Ut={offset:0,flip:!0,boundary:"scrollParent",reference:"toggle",display:"dynamic",popperConfig:null},Wt={offset:"(number|string|function)",flip:"boolean",boundary:"(string|element)",reference:"(string|element)",display:"string",popperConfig:"(null|object)"},qt=function(t,e){this._element=t,this._popper=null,this._config=this._getConfig(e),this._menu=this._getMenuElement(),this._inNavbar=this._detectNavbar(),this._addEventListeners()},Mt={VERSION:{configurable:!0},Default:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
Mt.VERSION.get=function(){return"4.4.1"},Mt.Default.get=function(){return Ut},Mt.DefaultType.get=function(){return Wt},
// Public
qt.prototype.toggle=function(){if(!this._element.disabled&&!e(this._element).hasClass(Et)){var t=e(this._menu).hasClass(Ct);qt._clearMenus(),t||this.show(!0)}},qt.prototype.show=function(t){if(void 0===t&&(t=!1),!(this._element.disabled||e(this._element).hasClass(Et)||e(this._menu).hasClass(Ct))){var i={relatedTarget:this._element},o=e.Event(yt.SHOW,i),r=qt._getParentFromElement(this._element);if(e(r).trigger(o),!o.isDefaultPrevented()){
// Disable totally Popper.js for Dropdown in Navbar
if(!this._inNavbar&&t){
/**
       * Check for Popper dependency
       * Popper - https://popper.js.org
       */
if(void 0===n)throw new TypeError("Bootstrap's dropdowns require Popper.js (https://popper.js.org/)");var a=this._element;"parent"===this._config.reference?a=r:s.isElement(this._config.reference)&&(a=this._config.reference,
// Check if it's jQuery element
void 0!==this._config.reference.jquery&&(a=this._config.reference[0])),
// If boundary is not `scrollParent`, then set position to `static`
// to allow the menu to "escape" the scroll parent's boundaries
// https://github.com/twbs/bootstrap/issues/24251
"scrollParent"!==this._config.boundary&&e(r).addClass(wt),this._popper=new n(a,this._menu,this._getPopperConfig())}
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&0===e(r).closest(jt).length&&e(document.body).children().on("mouseover",null,e.noop),this._element.focus(),this._element.setAttribute("aria-expanded",!0),e(this._menu).toggleClass(Ct),e(r).toggleClass(Ct).trigger(e.Event(yt.SHOWN,i))}}},qt.prototype.hide=function(){if(!this._element.disabled&&!e(this._element).hasClass(Et)&&e(this._menu).hasClass(Ct)){var t={relatedTarget:this._element},n=e.Event(yt.HIDE,t),i=qt._getParentFromElement(this._element);e(i).trigger(n),n.isDefaultPrevented()||(this._popper&&this._popper.destroy(),e(this._menu).toggleClass(Ct),e(i).toggleClass(Ct).trigger(e.Event(yt.HIDDEN,t)))}},qt.prototype.dispose=function(){e.removeData(this._element,"bs.dropdown"),e(this._element).off(".bs.dropdown"),this._element=null,this._menu=null,null!==this._popper&&(this._popper.destroy(),this._popper=null)},qt.prototype.update=function(){this._inNavbar=this._detectNavbar(),null!==this._popper&&this._popper.scheduleUpdate()},
// Private
qt.prototype._addEventListeners=function(){var t=this;e(this._element).on(yt.CLICK,function(e){e.preventDefault(),e.stopPropagation(),t.toggle()})},qt.prototype._getConfig=function(t){return t=Object.assign({},this.constructor.Default,e(this._element).data(),t),s.typeCheckConfig(mt,t,this.constructor.DefaultType),t},qt.prototype._getMenuElement=function(){if(!this._menu){var t=qt._getParentFromElement(this._element);t&&(this._menu=t.querySelector(Ot))}return this._menu},qt.prototype._getPlacement=function(){var t=e(this._element.parentNode),n=Rt;
// Handle dropup
return t.hasClass(Tt)?(n=Lt,e(this._menu).hasClass(It)&&(n=kt)):t.hasClass(St)?n=xt:t.hasClass(Dt)?n=Ft:e(this._menu).hasClass(It)&&(n=Ht),n},qt.prototype._detectNavbar=function(){return e(this._element).closest(".navbar").length>0},qt.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this._config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t._config.offset(e.offsets,t._element)||{}),e}:e.offset=this._config.offset,e},qt.prototype._getPopperConfig=function(){var t={placement:this._getPlacement(),modifiers:{offset:this._getOffset(),flip:{enabled:this._config.flip},preventOverflow:{boundariesElement:this._config.boundary}}};
// Disable Popper.js if we have a static display
return"static"===this._config.display&&(t.modifiers.applyStyle={enabled:!1}),Object.assign({},t,this._config.popperConfig)},
// Static
qt._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.dropdown");if(n||(n=new qt(this,"object"==typeof t?t:null),e(this).data("bs.dropdown",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},qt._clearMenus=function(t){if(!t||3!==t.which&&("keyup"!==t.type||9===t.which))for(var n=[].slice.call(document.querySelectorAll(At)),i=0,o=n.length;i<o;i++){var s=qt._getParentFromElement(n[i]),r=e(n[i]).data("bs.dropdown"),a={relatedTarget:n[i]};if(t&&"click"===t.type&&(a.clickEvent=t),r){var l=r._menu;if(e(s).hasClass(Ct)&&!(t&&("click"===t.type&&/input|textarea/i.test(t.target.tagName)||"keyup"===t.type&&9===t.which)&&e.contains(s,t.target))){var c=e.Event(yt.HIDE,a);e(s).trigger(c),c.isDefaultPrevented()||(
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),n[i].setAttribute("aria-expanded","false"),r._popper&&r._popper.destroy(),e(l).removeClass(Ct),e(s).removeClass(Ct).trigger(e.Event(yt.HIDDEN,a)))}}}},qt._getParentFromElement=function(t){var e,n=s.getSelectorFromElement(t);return n&&(e=document.querySelector(n)),e||t.parentNode},
// eslint-disable-next-line complexity
qt._dataApiKeydownHandler=function(t){
// If not input/textarea:
//- And not a key in REGEXP_KEYDOWN => not a dropdown command
// If input/textarea:
//- If space key => not a dropdown command
//- If key is other than escape
//  - If key is not up or down => not a dropdown command
//  - If trigger inside the menu => not a dropdown command
if((/input|textarea/i.test(t.target.tagName)?!(32===t.which||27!==t.which&&(40!==t.which&&38!==t.which||e(t.target).closest(Ot).length)):bt.test(t.which))&&(t.preventDefault(),t.stopPropagation(),!this.disabled&&!e(this).hasClass(Et))){var n=qt._getParentFromElement(this),i=e(n).hasClass(Ct);if(i||27!==t.which)if(i&&(!i||27!==t.which&&32!==t.which)){var o=[].slice.call(n.querySelectorAll(Pt)).filter(function(t){return e(t).is(":visible")});if(0!==o.length){var s=o.indexOf(t.target);38===t.which&&s>0&&// Up
s--,40===t.which&&s<o.length-1&&// Down
s++,s<0&&(s=0),o[s].focus()}}else{if(27===t.which){var r=n.querySelector(At);e(r).trigger("focus")}e(this).trigger("click")}}},Object.defineProperties(qt,Mt),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(yt.KEYDOWN_DATA_API,At,qt._dataApiKeydownHandler).on(yt.KEYDOWN_DATA_API,Ot,qt._dataApiKeydownHandler).on(yt.CLICK_DATA_API+" "+yt.KEYUP_DATA_API,qt._clearMenus).on(yt.CLICK_DATA_API,At,function(t){t.preventDefault(),t.stopPropagation(),qt._jQueryInterface.call(e(this),"toggle")}).on(yt.CLICK_DATA_API,Nt,function(t){t.stopPropagation()}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn[mt]=qt._jQueryInterface,e.fn[mt].Constructor=qt,e.fn[mt].noConflict=function(){return e.fn[mt]=vt,qt._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): modal.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var Kt=e.fn.modal,Qt={backdrop:!0,keyboard:!0,focus:!0,show:!0},Bt={backdrop:"(boolean|string)",keyboard:"boolean",focus:"boolean",show:"boolean"},Vt={HIDE:"hide.bs.modal",HIDE_PREVENTED:"hidePrevented.bs.modal",HIDDEN:"hidden.bs.modal",SHOW:"show.bs.modal",SHOWN:"shown.bs.modal",FOCUSIN:"focusin.bs.modal",RESIZE:"resize.bs.modal",CLICK_DISMISS:"click.dismiss.bs.modal",KEYDOWN_DISMISS:"keydown.dismiss.bs.modal",MOUSEUP_DISMISS:"mouseup.dismiss.bs.modal",MOUSEDOWN_DISMISS:"mousedown.dismiss.bs.modal",CLICK_DATA_API:"click.bs.modal.data-api"},Yt="modal-dialog-scrollable",zt="modal-scrollbar-measure",Xt="modal-backdrop",$t="modal-open",Gt="fade",Jt="show",Zt="modal-static",te=".modal-dialog",ee=".modal-body",ne='[data-toggle="modal"]',ie='[data-dismiss="modal"]',oe=".fixed-top, .fixed-bottom, .is-fixed, .sticky-top",se=".sticky-top",re=function(t,e){this._config=this._getConfig(e),this._element=t,this._dialog=t.querySelector(te),this._backdrop=null,this._isShown=!1,this._isBodyOverflowing=!1,this._ignoreBackdropClick=!1,this._isTransitioning=!1,this._scrollbarWidth=0},ae={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
ae.VERSION.get=function(){return"4.4.1"},ae.Default.get=function(){return Qt},
// Public
re.prototype.toggle=function(t){return this._isShown?this.hide():this.show(t)},re.prototype.show=function(t){var n=this;if(!this._isShown&&!this._isTransitioning){e(this._element).hasClass(Gt)&&(this._isTransitioning=!0);var i=e.Event(Vt.SHOW,{relatedTarget:t});e(this._element).trigger(i),this._isShown||i.isDefaultPrevented()||(this._isShown=!0,this._checkScrollbar(),this._setScrollbar(),this._adjustDialog(),this._setEscapeEvent(),this._setResizeEvent(),e(this._element).on(Vt.CLICK_DISMISS,ie,function(t){return n.hide(t)}),e(this._dialog).on(Vt.MOUSEDOWN_DISMISS,function(){e(n._element).one(Vt.MOUSEUP_DISMISS,function(t){e(t.target).is(n._element)&&(n._ignoreBackdropClick=!0)})}),this._showBackdrop(function(){return n._showElement(t)}))}},re.prototype.hide=function(t){var n=this;if(t&&t.preventDefault(),this._isShown&&!this._isTransitioning){var i=e.Event(Vt.HIDE);if(e(this._element).trigger(i),this._isShown&&!i.isDefaultPrevented()){this._isShown=!1;var o=e(this._element).hasClass(Gt);if(o&&(this._isTransitioning=!0),this._setEscapeEvent(),this._setResizeEvent(),e(document).off(Vt.FOCUSIN),e(this._element).removeClass(Jt),e(this._element).off(Vt.CLICK_DISMISS),e(this._dialog).off(Vt.MOUSEDOWN_DISMISS),o){var r=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(t){return n._hideModal(t)}).emulateTransitionEnd(r)}else this._hideModal()}}},re.prototype.dispose=function(){[window,this._element,this._dialog].forEach(function(t){return e(t).off(".bs.modal")}),
/**
     * `document` has 2 events `Event.FOCUSIN` and `Event.CLICK_DATA_API`
     * Do not move `document` in `htmlElements` array
     * It will remove `Event.CLICK_DATA_API` event that should remain
     */
e(document).off(Vt.FOCUSIN),e.removeData(this._element,"bs.modal"),this._config=null,this._element=null,this._dialog=null,this._backdrop=null,this._isShown=null,this._isBodyOverflowing=null,this._ignoreBackdropClick=null,this._isTransitioning=null,this._scrollbarWidth=null},re.prototype.handleUpdate=function(){this._adjustDialog()},
// Private
re.prototype._getConfig=function(t){return t=Object.assign({},Qt,t),s.typeCheckConfig("modal",t,Bt),t},re.prototype._triggerBackdropTransition=function(){var t=this;if("static"===this._config.backdrop){var n=e.Event(Vt.HIDE_PREVENTED);if(e(this._element).trigger(n),n.defaultPrevented)return;this._element.classList.add(Zt);var i=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,function(){t._element.classList.remove(Zt)}).emulateTransitionEnd(i),this._element.focus()}else this.hide()},re.prototype._showElement=function(t){var n=this,i=e(this._element).hasClass(Gt),o=this._dialog?this._dialog.querySelector(ee):null;this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE||
// Don't move modal's DOM position
document.body.appendChild(this._element),this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-modal",!0),e(this._dialog).hasClass(Yt)&&o?o.scrollTop=0:this._element.scrollTop=0,i&&s.reflow(this._element),e(this._element).addClass(Jt),this._config.focus&&this._enforceFocus();var r=e.Event(Vt.SHOWN,{relatedTarget:t}),a=function(){n._config.focus&&n._element.focus(),n._isTransitioning=!1,e(n._element).trigger(r)};if(i){var l=s.getTransitionDurationFromElement(this._dialog);e(this._dialog).one(s.TRANSITION_END,a).emulateTransitionEnd(l)}else a()},re.prototype._enforceFocus=function(){var t=this;e(document).off(Vt.FOCUSIN).on(Vt.FOCUSIN,function(n){document!==n.target&&t._element!==n.target&&0===e(t._element).has(n.target).length&&t._element.focus()})},re.prototype._setEscapeEvent=function(){var t=this;this._isShown&&this._config.keyboard?e(this._element).on(Vt.KEYDOWN_DISMISS,function(e){27===e.which&&t._triggerBackdropTransition()}):this._isShown||e(this._element).off(Vt.KEYDOWN_DISMISS)},re.prototype._setResizeEvent=function(){var t=this;this._isShown?e(window).on(Vt.RESIZE,function(e){return t.handleUpdate(e)}):e(window).off(Vt.RESIZE)},re.prototype._hideModal=function(){var t=this;this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-modal"),this._isTransitioning=!1,this._showBackdrop(function(){e(document.body).removeClass($t),t._resetAdjustments(),t._resetScrollbar(),e(t._element).trigger(Vt.HIDDEN)})},re.prototype._removeBackdrop=function(){this._backdrop&&(e(this._backdrop).remove(),this._backdrop=null)},re.prototype._showBackdrop=function(t){var n=this,i=e(this._element).hasClass(Gt)?Gt:"";if(this._isShown&&this._config.backdrop){if(this._backdrop=document.createElement("div"),this._backdrop.className=Xt,i&&this._backdrop.classList.add(i),e(this._backdrop).appendTo(document.body),e(this._element).on(Vt.CLICK_DISMISS,function(t){n._ignoreBackdropClick?n._ignoreBackdropClick=!1:t.target===t.currentTarget&&n._triggerBackdropTransition()}),i&&s.reflow(this._backdrop),e(this._backdrop).addClass(Jt),!t)return;if(!i)return void t();var o=s.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(s.TRANSITION_END,t).emulateTransitionEnd(o)}else if(!this._isShown&&this._backdrop){e(this._backdrop).removeClass(Jt);var r=function(){n._removeBackdrop(),t&&t()};if(e(this._element).hasClass(Gt)){var a=s.getTransitionDurationFromElement(this._backdrop);e(this._backdrop).one(s.TRANSITION_END,r).emulateTransitionEnd(a)}else r()}else t&&t()},
// ----------------------------------------------------------------------
// the following methods are used to handle overflowing modals
// todo (fat): these should probably be refactored out of modal.js
// ----------------------------------------------------------------------
re.prototype._adjustDialog=function(){var t=this._element.scrollHeight>document.documentElement.clientHeight;!this._isBodyOverflowing&&t&&(this._element.style.paddingLeft=this._scrollbarWidth+"px"),this._isBodyOverflowing&&!t&&(this._element.style.paddingRight=this._scrollbarWidth+"px")},re.prototype._resetAdjustments=function(){this._element.style.paddingLeft="",this._element.style.paddingRight=""},re.prototype._checkScrollbar=function(){var t=document.body.getBoundingClientRect();this._isBodyOverflowing=t.left+t.right<window.innerWidth,this._scrollbarWidth=this._getScrollbarWidth()},re.prototype._setScrollbar=function(){var t=this;if(this._isBodyOverflowing){
// Note: DOMNode.style.paddingRight returns the actual value or '' if not set
// while $(DOMNode).css('padding-right') returns the calculated value or 0 if not set
var n=[].slice.call(document.querySelectorAll(oe)),i=[].slice.call(document.querySelectorAll(se));
// Adjust fixed content padding
e(n).each(function(n,i){var o=i.style.paddingRight,s=e(i).css("padding-right");e(i).data("padding-right",o).css("padding-right",parseFloat(s)+t._scrollbarWidth+"px")}),
// Adjust sticky content margin
e(i).each(function(n,i){var o=i.style.marginRight,s=e(i).css("margin-right");e(i).data("margin-right",o).css("margin-right",parseFloat(s)-t._scrollbarWidth+"px")});
// Adjust body padding
var o=document.body.style.paddingRight,s=e(document.body).css("padding-right");e(document.body).data("padding-right",o).css("padding-right",parseFloat(s)+this._scrollbarWidth+"px")}e(document.body).addClass($t)},re.prototype._resetScrollbar=function(){
// Restore fixed content padding
var t=[].slice.call(document.querySelectorAll(oe));e(t).each(function(t,n){var i=e(n).data("padding-right");e(n).removeData("padding-right"),n.style.paddingRight=i||""});
// Restore sticky content
var n=[].slice.call(document.querySelectorAll(""+se));e(n).each(function(t,n){var i=e(n).data("margin-right");void 0!==i&&e(n).css("margin-right",i).removeData("margin-right")});
// Restore body padding
var i=e(document.body).data("padding-right");e(document.body).removeData("padding-right"),document.body.style.paddingRight=i||""},re.prototype._getScrollbarWidth=function(){// thx d.walsh
var t=document.createElement("div");t.className=zt,document.body.appendChild(t);var e=t.getBoundingClientRect().width-t.clientWidth;return document.body.removeChild(t),e},
// Static
re._jQueryInterface=function(t,n){return this.each(function(){var i=e(this).data("bs.modal"),o=Object.assign({},Qt,e(this).data(),"object"==typeof t&&t?t:{});if(i||(i=new re(this,o),e(this).data("bs.modal",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](n)}else o.show&&i.show(n)})},Object.defineProperties(re,ae),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(Vt.CLICK_DATA_API,ne,function(t){var n,i=this,o=s.getSelectorFromElement(this);o&&(n=document.querySelector(o));var r=e(n).data("bs.modal")?"toggle":Object.assign({},e(n).data(),e(this).data());"A"!==this.tagName&&"AREA"!==this.tagName||t.preventDefault();var a=e(n).one(Vt.SHOW,function(t){t.isDefaultPrevented()||a.one(Vt.HIDDEN,function(){e(i).is(":visible")&&i.focus()})});re._jQueryInterface.call(e(n),r,this)}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.modal=re._jQueryInterface,e.fn.modal.Constructor=re,e.fn.modal.noConflict=function(){return e.fn.modal=Kt,re._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): tools/sanitizer.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
var le=["background","cite","href","itemtype","longdesc","poster","src","xlink:href"],ce={
// Global attributes allowed on any supplied element below.
"*":["class","dir","id","lang","role",/^aria-[\w-]*$/i],a:["target","href","title","rel"],area:[],b:[],br:[],col:[],code:[],div:[],em:[],hr:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],i:[],img:["src","alt","title","width","height"],li:[],ol:[],p:[],pre:[],s:[],small:[],span:[],sub:[],sup:[],strong:[],u:[],ul:[]},he=/^(?:(?:https?|mailto|ftp|tel|file):|[^&:\/?#]*(?:[\/?#]|$))/gi,ue=/^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus));base64,[a-z0-9+\/]+=*$/i;function fe(t,e,n){if(0===t.length)return t;if(n&&"function"==typeof n)return n(t);for(var i=(new window.DOMParser).parseFromString(t,"text/html"),o=Object.keys(e),s=[].slice.call(i.body.querySelectorAll("*")),r=function(t,n){var i=s[t],r=i.nodeName.toLowerCase();if(-1!==o.indexOf(i.nodeName.toLowerCase())){var a=[].slice.call(i.attributes),l=[].concat(e["*"]||[],e[r]||[]);a.forEach(function(t){(function(t,e){var n=t.nodeName.toLowerCase();if(-1!==e.indexOf(n))return-1===le.indexOf(n)||Boolean(t.nodeValue.match(he)||t.nodeValue.match(ue));
// Check if a regular expression validates the attribute.
for(var i=e.filter(function(t){return t instanceof RegExp}),o=0,s=i.length;o<s;o++)if(n.match(i[o]))return!0;return!1})(t,l)||i.removeAttribute(t.nodeName)})}else i.parentNode.removeChild(i)},a=0,l=s.length;a<l;a++)r(a);return i.body.innerHTML}
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): tooltip.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */var de="tooltip",pe=e.fn.tooltip,ge=new RegExp("(^|\\s)bs-tooltip\\S+","g"),_e=["sanitize","whiteList","sanitizeFn"],me={animation:"boolean",template:"string",title:"(string|element|function)",trigger:"string",delay:"(number|object)",html:"boolean",selector:"(string|boolean)",placement:"(string|function)",offset:"(number|string|function)",container:"(string|element|boolean)",fallbackPlacement:"(string|array)",boundary:"(string|element)",sanitize:"boolean",sanitizeFn:"(null|function)",whiteList:"object",popperConfig:"(null|object)"},ve={AUTO:"auto",TOP:"top",RIGHT:"right",BOTTOM:"bottom",LEFT:"left"},be={animation:!0,template:'<div class="tooltip" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>',trigger:"hover focus",title:"",delay:0,html:!1,selector:!1,placement:"top",offset:0,container:!1,fallbackPlacement:"flip",boundary:"scrollParent",sanitize:!0,sanitizeFn:null,whiteList:ce,popperConfig:null},ye="show",Ee="out",Ce={HIDE:"hide.bs.tooltip",HIDDEN:"hidden.bs.tooltip",SHOW:"show.bs.tooltip",SHOWN:"shown.bs.tooltip",INSERTED:"inserted.bs.tooltip",CLICK:"click.bs.tooltip",FOCUSIN:"focusin.bs.tooltip",FOCUSOUT:"focusout.bs.tooltip",MOUSEENTER:"mouseenter.bs.tooltip",MOUSELEAVE:"mouseleave.bs.tooltip"},Te="fade",Se="show",De=".tooltip-inner",Ie=".arrow",we="hover",Ae="focus",Ne="click",Oe="manual",je=function(t,e){if(void 0===n)throw new TypeError("Bootstrap's tooltips require Popper.js (https://popper.js.org/)");
// private
this._isEnabled=!0,this._timeout=0,this._hoverState="",this._activeTrigger={},this._popper=null,
// Protected
this.element=t,this.config=this._getConfig(e),this.tip=null,this._setListeners()},Pe={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};
// Getters
Pe.VERSION.get=function(){return"4.4.1"},Pe.Default.get=function(){return be},Pe.NAME.get=function(){return de},Pe.DATA_KEY.get=function(){return"bs.tooltip"},Pe.Event.get=function(){return Ce},Pe.EVENT_KEY.get=function(){return".bs.tooltip"},Pe.DefaultType.get=function(){return me},
// Public
je.prototype.enable=function(){this._isEnabled=!0},je.prototype.disable=function(){this._isEnabled=!1},je.prototype.toggleEnabled=function(){this._isEnabled=!this._isEnabled},je.prototype.toggle=function(t){if(this._isEnabled)if(t){var n=this.constructor.DATA_KEY,i=e(t.currentTarget).data(n);i||(i=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(n,i)),i._activeTrigger.click=!i._activeTrigger.click,i._isWithActiveTrigger()?i._enter(null,i):i._leave(null,i)}else{if(e(this.getTipElement()).hasClass(Se))return void this._leave(null,this);this._enter(null,this)}},je.prototype.dispose=function(){clearTimeout(this._timeout),e.removeData(this.element,this.constructor.DATA_KEY),e(this.element).off(this.constructor.EVENT_KEY),e(this.element).closest(".modal").off("hide.bs.modal",this._hideModalHandler),this.tip&&e(this.tip).remove(),this._isEnabled=null,this._timeout=null,this._hoverState=null,this._activeTrigger=null,this._popper&&this._popper.destroy(),this._popper=null,this.element=null,this.config=null,this.tip=null},je.prototype.show=function(){var t=this;if("none"===e(this.element).css("display"))throw new Error("Please use show on visible elements");var i=e.Event(this.constructor.Event.SHOW);if(this.isWithContent()&&this._isEnabled){e(this.element).trigger(i);var o=s.findShadowRoot(this.element),r=e.contains(null!==o?o:this.element.ownerDocument.documentElement,this.element);if(i.isDefaultPrevented()||!r)return;var a=this.getTipElement(),l=s.getUID(this.constructor.NAME);a.setAttribute("id",l),this.element.setAttribute("aria-describedby",l),this.setContent(),this.config.animation&&e(a).addClass(Te);var c="function"==typeof this.config.placement?this.config.placement.call(this,a,this.element):this.config.placement,h=this._getAttachment(c);this.addAttachmentClass(h);var u=this._getContainer();e(a).data(this.constructor.DATA_KEY,this),e.contains(this.element.ownerDocument.documentElement,this.tip)||e(a).appendTo(u),e(this.element).trigger(this.constructor.Event.INSERTED),this._popper=new n(this.element,a,this._getPopperConfig(h)),e(a).addClass(Se),
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
"ontouchstart"in document.documentElement&&e(document.body).children().on("mouseover",null,e.noop);var f=function(){t.config.animation&&t._fixTransition();var n=t._hoverState;t._hoverState=null,e(t.element).trigger(t.constructor.Event.SHOWN),n===Ee&&t._leave(null,t)};if(e(this.tip).hasClass(Te)){var d=s.getTransitionDurationFromElement(this.tip);e(this.tip).one(s.TRANSITION_END,f).emulateTransitionEnd(d)}else f()}},je.prototype.hide=function(t){var n=this,i=this.getTipElement(),o=e.Event(this.constructor.Event.HIDE),r=function(){n._hoverState!==ye&&i.parentNode&&i.parentNode.removeChild(i),n._cleanTipClass(),n.element.removeAttribute("aria-describedby"),e(n.element).trigger(n.constructor.Event.HIDDEN),null!==n._popper&&n._popper.destroy(),t&&t()};if(e(this.element).trigger(o),!o.isDefaultPrevented()){if(e(i).removeClass(Se),
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
"ontouchstart"in document.documentElement&&e(document.body).children().off("mouseover",null,e.noop),this._activeTrigger[Ne]=!1,this._activeTrigger[Ae]=!1,this._activeTrigger[we]=!1,e(this.tip).hasClass(Te)){var a=s.getTransitionDurationFromElement(i);e(i).one(s.TRANSITION_END,r).emulateTransitionEnd(a)}else r();this._hoverState=""}},je.prototype.update=function(){null!==this._popper&&this._popper.scheduleUpdate()},
// Protected
je.prototype.isWithContent=function(){return Boolean(this.getTitle())},je.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-tooltip-"+t)},je.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},je.prototype.setContent=function(){var t=this.getTipElement();this.setElementContent(e(t.querySelectorAll(De)),this.getTitle()),e(t).removeClass(Te+" "+Se)},je.prototype.setElementContent=function(t,n){"object"!=typeof n||!n.nodeType&&!n.jquery?this.config.html?(this.config.sanitize&&(n=fe(n,this.config.whiteList,this.config.sanitizeFn)),t.html(n)):t.text(n):
// Content is a DOM node or a jQuery
this.config.html?e(n).parent().is(t)||t.empty().append(n):t.text(e(n).text())},je.prototype.getTitle=function(){var t=this.element.getAttribute("data-original-title");return t||(t="function"==typeof this.config.title?this.config.title.call(this.element):this.config.title),t},
// Private
je.prototype._getPopperConfig=function(t){var e=this,n={placement:t,modifiers:{offset:this._getOffset(),flip:{behavior:this.config.fallbackPlacement},arrow:{element:Ie},preventOverflow:{boundariesElement:this.config.boundary}},onCreate:function(t){t.originalPlacement!==t.placement&&e._handlePopperPlacementChange(t)},onUpdate:function(t){return e._handlePopperPlacementChange(t)}};return Object.assign({},n,this.config.popperConfig)},je.prototype._getOffset=function(){var t=this,e={};return"function"==typeof this.config.offset?e.fn=function(e){return e.offsets=Object.assign({},e.offsets,t.config.offset(e.offsets,t.element)||{}),e}:e.offset=this.config.offset,e},je.prototype._getContainer=function(){return!1===this.config.container?document.body:s.isElement(this.config.container)?e(this.config.container):e(document).find(this.config.container)},je.prototype._getAttachment=function(t){return ve[t.toUpperCase()]},je.prototype._setListeners=function(){var t=this;this.config.trigger.split(" ").forEach(function(n){if("click"===n)e(t.element).on(t.constructor.Event.CLICK,t.config.selector,function(e){return t.toggle(e)});else if(n!==Oe){var i=n===we?t.constructor.Event.MOUSEENTER:t.constructor.Event.FOCUSIN,o=n===we?t.constructor.Event.MOUSELEAVE:t.constructor.Event.FOCUSOUT;e(t.element).on(i,t.config.selector,function(e){return t._enter(e)}).on(o,t.config.selector,function(e){return t._leave(e)})}}),this._hideModalHandler=function(){t.element&&t.hide()},e(this.element).closest(".modal").on("hide.bs.modal",this._hideModalHandler),this.config.selector?this.config=Object.assign({},this.config,{trigger:"manual",selector:""}):this._fixTitle()},je.prototype._fixTitle=function(){var t=typeof this.element.getAttribute("data-original-title");(this.element.getAttribute("title")||"string"!==t)&&(this.element.setAttribute("data-original-title",this.element.getAttribute("title")||""),this.element.setAttribute("title",""))},je.prototype._enter=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusin"===t.type?Ae:we]=!0),e(n.getTipElement()).hasClass(Se)||n._hoverState===ye?n._hoverState=ye:(clearTimeout(n._timeout),n._hoverState=ye,n.config.delay&&n.config.delay.show?n._timeout=setTimeout(function(){n._hoverState===ye&&n.show()},n.config.delay.show):n.show())},je.prototype._leave=function(t,n){var i=this.constructor.DATA_KEY;(n=n||e(t.currentTarget).data(i))||(n=new this.constructor(t.currentTarget,this._getDelegateConfig()),e(t.currentTarget).data(i,n)),t&&(n._activeTrigger["focusout"===t.type?Ae:we]=!1),n._isWithActiveTrigger()||(clearTimeout(n._timeout),n._hoverState=Ee,n.config.delay&&n.config.delay.hide?n._timeout=setTimeout(function(){n._hoverState===Ee&&n.hide()},n.config.delay.hide):n.hide())},je.prototype._isWithActiveTrigger=function(){for(var t in this._activeTrigger)if(this._activeTrigger[t])return!0;return!1},je.prototype._getConfig=function(t){var n=e(this.element).data();return Object.keys(n).forEach(function(t){-1!==_e.indexOf(t)&&delete n[t]}),"number"==typeof(t=Object.assign({},this.constructor.Default,n,"object"==typeof t&&t?t:{})).delay&&(t.delay={show:t.delay,hide:t.delay}),"number"==typeof t.title&&(t.title=t.title.toString()),"number"==typeof t.content&&(t.content=t.content.toString()),s.typeCheckConfig(de,t,this.constructor.DefaultType),t.sanitize&&(t.template=fe(t.template,t.whiteList,t.sanitizeFn)),t},je.prototype._getDelegateConfig=function(){var t={};if(this.config)for(var e in this.config)this.constructor.Default[e]!==this.config[e]&&(t[e]=this.config[e]);return t},je.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(ge);null!==n&&n.length&&t.removeClass(n.join(""))},je.prototype._handlePopperPlacementChange=function(t){var e=t.instance;this.tip=e.popper,this._cleanTipClass(),this.addAttachmentClass(this._getAttachment(t.placement))},je.prototype._fixTransition=function(){var t=this.getTipElement(),n=this.config.animation;null===t.getAttribute("x-placement")&&(e(t).removeClass(Te),this.config.animation=!1,this.hide(),this.show(),this.config.animation=n)},
// Static
je._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.tooltip"),i="object"==typeof t&&t;if((n||!/dispose|hide/.test(t))&&(n||(n=new je(this,i),e(this).data("bs.tooltip",n)),"string"==typeof t)){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties(je,Pe),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.tooltip=je._jQueryInterface,e.fn.tooltip.Constructor=je,e.fn.tooltip.noConflict=function(){return e.fn.tooltip=pe,je._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): popover.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var Le="popover",ke=e.fn.popover,Re=new RegExp("(^|\\s)bs-popover\\S+","g"),He=Object.assign({},je.Default,{placement:"right",trigger:"click",content:"",template:'<div class="popover" role="tooltip"><div class="arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>'}),xe=Object.assign({},je.DefaultType,{content:"(string|element|function)"}),Fe="fade",Ue="show",We=".popover-header",qe=".popover-body",Me={HIDE:"hide.bs.popover",HIDDEN:"hidden.bs.popover",SHOW:"show.bs.popover",SHOWN:"shown.bs.popover",INSERTED:"inserted.bs.popover",CLICK:"click.bs.popover",FOCUSIN:"focusin.bs.popover",FOCUSOUT:"focusout.bs.popover",MOUSEENTER:"mouseenter.bs.popover",MOUSELEAVE:"mouseleave.bs.popover"},Ke=function(t){function n(){t.apply(this,arguments)}t&&(n.__proto__=t),n.prototype=Object.create(t&&t.prototype),n.prototype.constructor=n;var i={VERSION:{configurable:!0},Default:{configurable:!0},NAME:{configurable:!0},DATA_KEY:{configurable:!0},Event:{configurable:!0},EVENT_KEY:{configurable:!0},DefaultType:{configurable:!0}};return i.VERSION.get=function(){return"4.4.1"},i.Default.get=function(){return He},i.NAME.get=function(){return Le},i.DATA_KEY.get=function(){return"bs.popover"},i.Event.get=function(){return Me},i.EVENT_KEY.get=function(){return".bs.popover"},i.DefaultType.get=function(){return xe},
// Overrides
n.prototype.isWithContent=function(){return this.getTitle()||this._getContent()},n.prototype.addAttachmentClass=function(t){e(this.getTipElement()).addClass("bs-popover-"+t)},n.prototype.getTipElement=function(){return this.tip=this.tip||e(this.config.template)[0],this.tip},n.prototype.setContent=function(){var t=e(this.getTipElement());
// We use append for html objects to maintain js events
this.setElementContent(t.find(We),this.getTitle());var n=this._getContent();"function"==typeof n&&(n=n.call(this.element)),this.setElementContent(t.find(qe),n),t.removeClass(Fe+" "+Ue)},
// Private
n.prototype._getContent=function(){return this.element.getAttribute("data-content")||this.config.content},n.prototype._cleanTipClass=function(){var t=e(this.getTipElement()),n=t.attr("class").match(Re);null!==n&&n.length>0&&t.removeClass(n.join(""))},
// Static
n._jQueryInterface=function(t){return this.each(function(){var i=e(this).data("bs.popover"),o="object"==typeof t?t:null;if((i||!/dispose|hide/.test(t))&&(i||(i=new n(this,o),e(this).data("bs.popover",i)),"string"==typeof t)){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(n,i),n}(je);
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.popover=Ke._jQueryInterface,e.fn.popover.Constructor=Ke,e.fn.popover.noConflict=function(){return e.fn.popover=ke,Ke._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): scrollspy.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var Qe="scrollspy",Be=e.fn[Qe],Ve={offset:10,method:"auto",target:""},Ye={offset:"number",method:"string",target:"(string|element)"},ze={ACTIVATE:"activate.bs.scrollspy",SCROLL:"scroll.bs.scrollspy",LOAD_DATA_API:"load.bs.scrollspy.data-api"},Xe="dropdown-item",$e="active",Ge='[data-spy="scroll"]',Je=".nav, .list-group",Ze=".nav-link",tn=".nav-item",en=".list-group-item",nn=".dropdown",on=".dropdown-item",sn=".dropdown-toggle",rn="offset",an="position",ln=function(t,n){var i=this;this._element=t,this._scrollElement="BODY"===t.tagName?window:t,this._config=this._getConfig(n),this._selector=this._config.target+" "+Ze+","+this._config.target+" "+en+","+this._config.target+" "+on,this._offsets=[],this._targets=[],this._activeTarget=null,this._scrollHeight=0,e(this._scrollElement).on(ze.SCROLL,function(t){return i._process(t)}),this.refresh(),this._process()},cn={VERSION:{configurable:!0},Default:{configurable:!0}};
// Getters
cn.VERSION.get=function(){return"4.4.1"},cn.Default.get=function(){return Ve},
// Public
ln.prototype.refresh=function(){var t=this,n=this._scrollElement===this._scrollElement.window?rn:an,i="auto"===this._config.method?n:this._config.method,o=i===an?this._getScrollTop():0;this._offsets=[],this._targets=[],this._scrollHeight=this._getScrollHeight(),[].slice.call(document.querySelectorAll(this._selector)).map(function(t){var n,r=s.getSelectorFromElement(t);if(r&&(n=document.querySelector(r)),n){var a=n.getBoundingClientRect();if(a.width||a.height)
// TODO (fat): remove sketch reliance on jQuery position/offset
return[e(n)[i]().top+o,r]}return null}).filter(function(t){return t}).sort(function(t,e){return t[0]-e[0]}).forEach(function(e){t._offsets.push(e[0]),t._targets.push(e[1])})},ln.prototype.dispose=function(){e.removeData(this._element,"bs.scrollspy"),e(this._scrollElement).off(".bs.scrollspy"),this._element=null,this._scrollElement=null,this._config=null,this._selector=null,this._offsets=null,this._targets=null,this._activeTarget=null,this._scrollHeight=null},
// Private
ln.prototype._getConfig=function(t){if("string"!=typeof(t=Object.assign({},Ve,"object"==typeof t&&t?t:{})).target){var n=e(t.target).attr("id");n||(n=s.getUID(Qe),e(t.target).attr("id",n)),t.target="#"+n}return s.typeCheckConfig(Qe,t,Ye),t},ln.prototype._getScrollTop=function(){return this._scrollElement===window?this._scrollElement.pageYOffset:this._scrollElement.scrollTop},ln.prototype._getScrollHeight=function(){return this._scrollElement.scrollHeight||Math.max(document.body.scrollHeight,document.documentElement.scrollHeight)},ln.prototype._getOffsetHeight=function(){return this._scrollElement===window?window.innerHeight:this._scrollElement.getBoundingClientRect().height},ln.prototype._process=function(){var t=this._getScrollTop()+this._config.offset,e=this._getScrollHeight(),n=this._config.offset+e-this._getOffsetHeight();if(this._scrollHeight!==e&&this.refresh(),t>=n){var i=this._targets[this._targets.length-1];this._activeTarget!==i&&this._activate(i)}else{if(this._activeTarget&&t<this._offsets[0]&&this._offsets[0]>0)return this._activeTarget=null,void this._clear();for(var o=this._offsets.length;o--;){this._activeTarget!==this._targets[o]&&t>=this._offsets[o]&&(void 0===this._offsets[o+1]||t<this._offsets[o+1])&&this._activate(this._targets[o])}}},ln.prototype._activate=function(t){this._activeTarget=t,this._clear();var n=this._selector.split(",").map(function(e){return e+'[data-target="'+t+'"],'+e+'[href="'+t+'"]'}),i=e([].slice.call(document.querySelectorAll(n.join(","))));i.hasClass(Xe)?(i.closest(nn).find(sn).addClass($e),i.addClass($e)):(
// Set triggered link as active
i.addClass($e),
// Set triggered links parents as active
// With both <ul> and <nav> markup a parent is the previous sibling of any nav ancestor
i.parents(Je).prev(Ze+", "+en).addClass($e),
// Handle special case when .nav-link is inside .nav-item
i.parents(Je).prev(tn).children(Ze).addClass($e)),e(this._scrollElement).trigger(ze.ACTIVATE,{relatedTarget:t})},ln.prototype._clear=function(){[].slice.call(document.querySelectorAll(this._selector)).filter(function(t){return t.classList.contains($e)}).forEach(function(t){return t.classList.remove($e)})},
// Static
ln._jQueryInterface=function(t){return this.each(function(){var n=e(this).data("bs.scrollspy");if(n||(n=new ln(this,"object"==typeof t&&t),e(this).data("bs.scrollspy",n)),"string"==typeof t){if(void 0===n[t])throw new TypeError('No method named "'+t+'"');n[t]()}})},Object.defineProperties(ln,cn),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(window).on(ze.LOAD_DATA_API,function(){for(var t=[].slice.call(document.querySelectorAll(Ge)),n=t.length;n--;){var i=e(t[n]);ln._jQueryInterface.call(i,i.data())}}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn[Qe]=ln._jQueryInterface,e.fn[Qe].Constructor=ln,e.fn[Qe].noConflict=function(){return e.fn[Qe]=Be,ln._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): tab.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var hn=e.fn.tab,un={HIDE:"hide.bs.tab",HIDDEN:"hidden.bs.tab",SHOW:"show.bs.tab",SHOWN:"shown.bs.tab",CLICK_DATA_API:"click.bs.tab.data-api"},fn="dropdown-menu",dn="active",pn="disabled",gn="fade",_n="show",mn=".dropdown",vn=".nav, .list-group",bn=".active",yn="> li > .active",En='[data-toggle="tab"], [data-toggle="pill"], [data-toggle="list"]',Cn=".dropdown-toggle",Tn="> .dropdown-menu .active",Sn=function(t){this._element=t},Dn={VERSION:{configurable:!0}};
// Getters
Dn.VERSION.get=function(){return"4.4.1"},
// Public
Sn.prototype.show=function(){var t=this;if(!(this._element.parentNode&&this._element.parentNode.nodeType===Node.ELEMENT_NODE&&e(this._element).hasClass(dn)||e(this._element).hasClass(pn))){var n,i,o=e(this._element).closest(vn)[0],r=s.getSelectorFromElement(this._element);if(o){var a="UL"===o.nodeName||"OL"===o.nodeName?yn:bn;i=(i=e.makeArray(e(o).find(a)))[i.length-1]}var l=e.Event(un.HIDE,{relatedTarget:this._element}),c=e.Event(un.SHOW,{relatedTarget:i});if(i&&e(i).trigger(l),e(this._element).trigger(c),!c.isDefaultPrevented()&&!l.isDefaultPrevented()){r&&(n=document.querySelector(r)),this._activate(this._element,o);var h=function(){var n=e.Event(un.HIDDEN,{relatedTarget:t._element}),o=e.Event(un.SHOWN,{relatedTarget:i});e(i).trigger(n),e(t._element).trigger(o)};n?this._activate(n,n.parentNode,h):h()}}},Sn.prototype.dispose=function(){e.removeData(this._element,"bs.tab"),this._element=null},
// Private
Sn.prototype._activate=function(t,n,i){var o=this,r=(!n||"UL"!==n.nodeName&&"OL"!==n.nodeName?e(n).children(bn):e(n).find(yn))[0],a=i&&r&&e(r).hasClass(gn),l=function(){return o._transitionComplete(t,r,i)};if(r&&a){var c=s.getTransitionDurationFromElement(r);e(r).removeClass(_n).one(s.TRANSITION_END,l).emulateTransitionEnd(c)}else l()},Sn.prototype._transitionComplete=function(t,n,i){if(n){e(n).removeClass(dn);var o=e(n.parentNode).find(Tn)[0];o&&e(o).removeClass(dn),"tab"===n.getAttribute("role")&&n.setAttribute("aria-selected",!1)}if(e(t).addClass(dn),"tab"===t.getAttribute("role")&&t.setAttribute("aria-selected",!0),s.reflow(t),t.classList.contains(gn)&&t.classList.add(_n),t.parentNode&&e(t.parentNode).hasClass(fn)){var r=e(t).closest(mn)[0];if(r){var a=[].slice.call(r.querySelectorAll(Cn));e(a).addClass(dn)}t.setAttribute("aria-expanded",!0)}i&&i()},
// Static
Sn._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.tab");if(i||(i=new Sn(this),n.data("bs.tab",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t]()}})},Object.defineProperties(Sn,Dn),
/**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */
e(document).on(un.CLICK_DATA_API,En,function(t){t.preventDefault(),Sn._jQueryInterface.call(e(this),"show")}),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.tab=Sn._jQueryInterface,e.fn.tab.Constructor=Sn,e.fn.tab.noConflict=function(){return e.fn.tab=hn,Sn._jQueryInterface};
/**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.4.1): toast.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */
var In=e.fn.toast,wn={CLICK_DISMISS:"click.dismiss.bs.toast",HIDE:"hide.bs.toast",HIDDEN:"hidden.bs.toast",SHOW:"show.bs.toast",SHOWN:"shown.bs.toast"},An="fade",Nn="hide",On="show",jn="showing",Pn={animation:"boolean",autohide:"boolean",delay:"number"},Ln={animation:!0,autohide:!0,delay:500},kn='[data-dismiss="toast"]',Rn=function(t,e){this._element=t,this._config=this._getConfig(e),this._timeout=null,this._setListeners()},Hn={VERSION:{configurable:!0},DefaultType:{configurable:!0},Default:{configurable:!0}};
// Getters
Hn.VERSION.get=function(){return"4.4.1"},Hn.DefaultType.get=function(){return Pn},Hn.Default.get=function(){return Ln},
// Public
Rn.prototype.show=function(){var t=this,n=e.Event(wn.SHOW);if(e(this._element).trigger(n),!n.isDefaultPrevented()){this._config.animation&&this._element.classList.add(An);var i=function(){t._element.classList.remove(jn),t._element.classList.add(On),e(t._element).trigger(wn.SHOWN),t._config.autohide&&(t._timeout=setTimeout(function(){t.hide()},t._config.delay))};if(this._element.classList.remove(Nn),s.reflow(this._element),this._element.classList.add(jn),this._config.animation){var o=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,i).emulateTransitionEnd(o)}else i()}},Rn.prototype.hide=function(){if(this._element.classList.contains(On)){var t=e.Event(wn.HIDE);e(this._element).trigger(t),t.isDefaultPrevented()||this._close()}},Rn.prototype.dispose=function(){clearTimeout(this._timeout),this._timeout=null,this._element.classList.contains(On)&&this._element.classList.remove(On),e(this._element).off(wn.CLICK_DISMISS),e.removeData(this._element,"bs.toast"),this._element=null,this._config=null},
// Private
Rn.prototype._getConfig=function(t){return t=Object.assign({},Ln,e(this._element).data(),"object"==typeof t&&t?t:{}),s.typeCheckConfig("toast",t,this.constructor.DefaultType),t},Rn.prototype._setListeners=function(){var t=this;e(this._element).on(wn.CLICK_DISMISS,kn,function(){return t.hide()})},Rn.prototype._close=function(){var t=this,n=function(){t._element.classList.add(Nn),e(t._element).trigger(wn.HIDDEN)};if(this._element.classList.remove(On),this._config.animation){var i=s.getTransitionDurationFromElement(this._element);e(this._element).one(s.TRANSITION_END,n).emulateTransitionEnd(i)}else n()},
// Static
Rn._jQueryInterface=function(t){return this.each(function(){var n=e(this),i=n.data("bs.toast");if(i||(i=new Rn(this,"object"==typeof t&&t),n.data("bs.toast",i)),"string"==typeof t){if(void 0===i[t])throw new TypeError('No method named "'+t+'"');i[t](this)}})},Object.defineProperties(Rn,Hn),
/**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */
e.fn.toast=Rn._jQueryInterface,e.fn.toast.Constructor=Rn,e.fn.toast.noConflict=function(){return e.fn.toast=In,Rn._jQueryInterface},t.Util=s,t.Alert=u,t.Button=D,t.Carousel=tt,t.Collapse=gt,t.Dropdown=qt,t.Modal=re,t.Popover=Ke,t.Scrollspy=ln,t.Tab=Sn,t.Toast=Rn,t.Tooltip=je,Object.defineProperty(t,"__esModule",{value:!0})});
//# sourceMappingURL=bootstrap.js.map
//# sourceMappingURL=bootstrap.min.js.map